io.milvus.response

## Class QueryResultsWrapper.RowRecord

- java.lang.Object
- - io.milvus.response.QueryResultsWrapper.RowRecord

- Enclosing class:
    QueryResultsWrapper

      public static final class QueryResultsWrapper.RowRecord
      extends java.lang.Object

  Internal-use class to wrap response of `query` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowRecord()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(java.lang.String keyName)` Test if a key exists
    `java.lang.Object` | `get(java.lang.String keyName)` Get a value by a key name.
    `boolean` | `put(java.lang.String keyName, java.lang.Object obj)`
    `java.lang.String` | `toString()` Constructs a `String` by `QueryResultsWrapper.RowRecord` instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowRecord

          public RowRecord()

  - ### Method Detail

    - #### put

          public boolean put(java.lang.String keyName,
                             java.lang.Object obj)

    - #### get

          public java.lang.Object get(java.lang.String keyName)
                               throws ParamException

      Get a value by a key name. If the key name is a field name, return the value of this field. If the key name is in dynamic field, return the value from the dynamic field. Throws `ParamException` if the key name doesn't exist.
      Parameters:
        `keyName` - a field name or dynamic field name
      Returns:
        `Object`
      Throws:
        `ParamException`

    - #### contains

          public boolean contains(java.lang.String keyName)

      Test if a key exists
      Parameters:
        `keyName` - a field name or dynamic field name
      Returns:
        boolean

    - #### toString

          public java.lang.String toString()

      Constructs a `String` by `QueryResultsWrapper.RowRecord` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`